#include <bits/stdc++.h>

using namespace std;

int n, a[1000001], used[1000001], k;

int main(){
    cin >> k >> n;
    set < int > st;
    for(int i = 1; i <= n; i ++){
        cin >> a[i];
        used[a[i]] ++;
    }
    for(int i = 1; i <= n; i ++) if(used[a[i]] >= k) st.insert(a[i]);
    cout << st.size() << '\n';
    for(auto it : st) cout << it << ' ';
}
